# Method: initializeCustomer

- [HTTP request](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/TopLevel/initializeCustomer#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/TopLevel/initializeCustomer#body.request_body)
- [Response body](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/TopLevel/initializeCustomer#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/TopLevel/initializeCustomer#body.aspect)
- [Try it!](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/TopLevel/initializeCustomer#try-it)

Enables `third party` support in Google Cloud Search.

**Note:** This API requires an admin account to execute.

### HTTP request

`POST https://cloudsearch.googleapis.com/v1:initializeCustomer`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud_search.settings.indexing`
- `https://www.googleapis.com/auth/cloud_search.settings`
- `https://www.googleapis.com/auth/cloud_search`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).